* Contabil Profesional 4.47d 27.04.01 20:01:32
* 22/01/09 10:54:46 - modificat cu SM pt IPER
*
* Aplicatie:GESTAT
* Titlu:    Intrari - 6
* Raport:   F
* Descriere:
* 6
* Titlu = TitluInterogare +' '+"ord.dupa furnizor si produs"
*

dirBDCSursa	= __CaleCent
numeBDCSursa = "ICPRPA__"

If !File(__CaleCent+"PAPR.DBF") Then
	=Suna(MLD_EROARE)
	Do Erori.EXE With "SgNoPa",1
	Return
Endif

Select * From (dirBDCSursa+numeBDCSursa) 		;
	Order By  SQ_PA_DENU, SQ_PR_DENU			;
	Into Table Tmp1

* Determin ultimele preturi de achizitie din PAPR


Select 								;
		 SQ_PA_NR_I					;
		,SQ_PR_NR_I					;
		,Max(SQ_DATA) As MAX_DATA	;
From (__CaleCENT+"PAPR")			;
Group By SQ_PA_NR_I, SQ_PR_NR_I		;
Into Cursor cPaPrMax


Select p.*								;
	From (__CaleCENT+"PAPR") p			;
	,cPaPrMax c							;
Where 									;
		p.SQ_PA_NR_I = c.SQ_PA_NR_I		;
	And p.SQ_PR_NR_I = c.SQ_PR_NR_I		;
	And p.SQ_DATA	 = c.MAX_DATA		;
Into Table ..\SCRATCH\cPaPr

Index On Str(SQ_PA_NR_I)+Str(SQ_PR_NR_I) Tag xcPaPr


*
* Calculez stocurile momentane, din toate gestiunile
*
Select SM_NR_I_PR, SUM(SM_STOC) As SM_STOC	;
From (__CaleDBF+"SM.DBF") 					;
Group By SM_NR_I_PR		 					;
Into Table ..\SCRATCH\SmTmp					;
Order By SM_NR_I_PR

Index On SM_NR_I_PR Tag SM_NR_I_PR



* Asigur sa existe in SMTMP toate articolele care sunt in tmp1
* (sa nu le pierd pe cele cu stoc 0)
* La fel si in cpaPr	- ala cu preturile de achizitie
Select tmp1
Scan All
	Scatter MemVar

	Select SmTmp
	Seek (m.SQ_PR_NR_I)
	If !Found() Then
		Append Blank
		Replace SM_NR_I_PR With m.SQ_PR_NR_I
	EndIf


	Select cPaPr
	Seek (Str(m.SQ_PA_NR_I)+Str(m.SQ_PR_NR_I))
	If !Found() Then
		Append Blank
		Replace SQ_PA_NR_I With m.SQ_PA_NR_I	;
			   ,SQ_PR_NR_I With m.SQ_PR_NR_I
	EndIf


	Select tmp1
EndScan

*
* Selectez
*
Select t.* , s.SM_STOC, p.SQ_DATA, p.SQ_P_FAC	;
	From tmp1 t, smTmp s, cPaPr p				;
	Where SM_NR_I_PR = t.SQ_PR_NR_I				;
		And p.SQ_PR_NR_I =t.SQ_PR_NR_I			;
		And p.SQ_PA_NR_I =t.SQ_PA_NR_I			;
	Order By  SQ_PA_DENU, SQ_PR_DENU			;
	Into Table Tmp

*
* Inchid stocurile momentane si ma pozitionez pe Tmp
*
=ClsDbf("SM")
=ClsDbf("SmTmp")
=ClsDbf("tmp1")
=ClsDbf("cPaPrMax")
=ClsDbf("cPaPr")
=ClsDbf("PaPr")
Select Tmp


*
* Daca vrea browse, il facem
*
If _sqVreaBrowse Then

	Browse 															;
		Normal														;
		NoMenu														;
		NoEdit														;
		NoAppend													;
		NoDelete													;
		Preference (_sqPrefBrowse) 									;
		Title (_sqTxtTitlu)											;
		Fields										;
			 SQ_PA_DENU 	:H="Denumire furnizor"	;
			,SQ_PR_DENU		:H="Denumire produs"	;
			,SQ_CANT		:H="Cantitate"			;
							:P="99,999,999"			;
			,SQ_VAL    		:H="Valoare"			;
							:P="9,999,999,999,999"	;
			,SQ_PA_LOCA 	:H="Localitate"			;
			,SQ_PA_TEL		:H="Telefon"			

EndIf	&& _sqVreaBrowse

