* Contabil Profesional 4.48 06.01.02 17:06:54
*
* Aplicatie:UF
* Titlu:    Fise facturi neachitate,                                                                                                                              
* Raport:   UF_FISEF  
* Descriere:Se afiseaza doar facturile care prezinta sold                                                                                                                                                                                    

* Bazat pe: Fise facturi, achitate sau neachitate, pentru un partener                                                                                              
* Bazat pe: Fise facturi ,ordonate si grupate dupa data scadentei, agent, partener;1                                                                              
* Bazat pe: Centralizator facturi , ,ordonate si grupate dupa data scadentei, agent, partener                                                                     
* Bazat pe: Centralizator facturi , pe agent ,ordonate si grupate dupa data scadentei                                                                             
* Bazat pe: Centralizator facturi , pe agent , localitate,denumire partener                                                                                       
* Bazat pe: Centralizator facturi , grupate pe parteneri ordonati dupa localitate denumire                                                                        
* Bazat pe: Centralizator facturi , grupate pe parteneri ordonati dupa localitate si abreviere                                                                    
* Bazat pe: Centralizator facturi , grupate pe parteneri ordonati dupa abreviere                                                                                  
* Bazat pe: Centralizator facturi , grupate pe parteneri , ordonati dupa denumire                                                                                                         


Private	xLocalitatea, xPartener, xAgent 		&&

xLocalitatea = Lower("*"+AllTrim(scrLocalitatea)+"*")
xPartener    = Lower("*"+AllTrim(scrPartener)+"*")
xAgent		 = Lower("*"+AllTrim(scrAgent)+"*")




Select 												;
     t.TZ_NRI_PA									;
    ,t.TZ_NRI_DF									;
    ,t.TZ_SUMA				As SUMA_F				;
    ,0000000000000.00		As SUMA_A				;
    ,1						As SQ_ORD				;
	,d.DNI_DOC_TI									;
	,d.DNI_DOC_NR									;
	,d.DNI_DOC_DA									;
	,d.DNI_DOC_DO, d.DNI_DATA_S, d.DNI_ORA_SI			;
													;
From (__CaleDBF+"UFTZ_"+tipAplUF)	t				;
     ,__CaleDBF+"DOC_NRI" d							;
Where 												;
	t.TZ_TIP = 1 AND t.TZ_STORNAT = .F.				;
	And d.DNI_NR_I = t.TZ_NRI_DF					;
Union 												;
Select												;
     t.TZ_NRI_PA									;
    ,t.TZ_NRI_DF									;
    ,0000000000000.00		As SUMA_F				;
    ,t.TZ_SUMA				As SUMA_A				;
    ,2						As SQ_ORD				;
	,d.DNI_DOC_TI									;
	,d.DNI_DOC_NR									;
	,d.DNI_DOC_DA									;
	,d.DNI_DOC_DO, d.DNI_DATA_S, d.DNI_ORA_SI			;
													;
From (__CaleDBF+"UFTZ_"+tipAplUF)	t				;
     ,__CaleDBF+"DOC_NRI" d							;
Where 												;
	t.TZ_TIP = 2 AND t.TZ_STORNAT = .F.				;
	And d.DNI_NR_I = t.TZ_NRI_DS					;
Order By 1,2										;
Into Table tmp1


*
* Fac totaluri pe parteneri si facturi
*

Select 										;
	  TZ_NRI_PA								;
	, TZ_NRI_DF 							;
	, Sum(SUMA_F) As T_SUMA_F				;
	, Sum(SUMA_A) As T_SUMA_A				;
From										;
	 tmp1									;
Order By 1,2								;
Group By 1,2								;
Into table tmp2


Select 										;
     t1.TZ_NRI_PA							;
    ,t1.TZ_NRI_DF							;
	,t1.SQ_ORD								;
    ,t1.SUMA_F								;
    ,t1.SUMA_A								;
	,t1.DNI_DOC_TI							;
	,t1.DNI_DOC_NR							;
	,t1.DNI_DOC_DA							;
	,t1.DNI_DOC_DO, t1.DNI_DATA_S, t1.DNI_ORA_SI			;
	,t2.T_SUMA_F							;
	,t2.T_SUMA_A							;
	,p.PA_ABREV, p.PA_DENUMIR, PA_LOCALIT	;
											;
From 										;	
	tmp1 t1									;
	,tmp2 t2								;
	,__CaleDBF+"Partener" p					;
Where 										;
		p.PA_NR_I		= t1.TZ_NRI_PA		;
	And p.PA_NR_I		= t2.TZ_NRI_PA		;
	And t1.TZ_NRI_DF	= t2.TZ_NRI_DF		;
	And T_SUMA_F != T_SUMA_A				;
														;
		And Like(xLocalitatea,	Lower(PA_LOCALIT))		;
		And (Like(xPartener,    Lower(PA_DENUMIR))		;
		      Or										;
			 Like(xPartener,    Lower(PA_ABREV))		;
		     )											;
		And Between(DNI_DOC_DA, scrDataFaI, scrDataFaF)	;
														;
Order By PA_LOCALIT, PA_DENUMIR, t1.TZ_NRI_DF, SQ_ORD, DNI_DOC_DA, DNI_DOC_NR	;
Into Table Tmp

=ClsDBF("Tmp1")
=ClsDBF("Tmp2")

Select Tmp
*
* Daca vrea browse, il facem
*
If _sqVreaBrowse Then
		
	Browse 												;
		Normal											;
		NoMenu											;
		NoEdit											;
		NoAppend										;
		NoDelete										;
		Preference (_sqPrefBrowse) 						;
		Title (_sqTxtTitlu)								;
		Fields											;
			 PA_ABREV	 	:H="Client"					;
			,PA_DENUMIR 	:H="Denumire client"		;
			,TZ_NRI_DF		:H="NRI fact"				;
			,DNI_DOC_TIP	:H="Doc"					;
			,DNI_DOC_NR		:H="Nr.doc"					;
			,DNI_DOC_DA		:H="Data doc"				;
			,SUMA_F  		:H="Valoare fact"			;
							:P="9,999,999,999,999.99"	;
			,SUMA_A  		:H="Valoare achit"			;
							:P="9,999,999,999,999.99"	;
			,T_SUMA_F  		:H="Valoare fact"			;
							:P="9,999,999,999,999.99"	;
			,T_SUMA_A  		:H="Valoare achit"			;
							:P="9,999,999,999,999.99"	;
			,PA_LOCALIT 	:H="Localitate"				

EndIf	&& _sqVreaBrowse
