Procedure Sel_1
*
* Se selecteaza toti angajatii cu ultimele salarii de incadrare
*
Select a.AN_NR_I, a.AN_NUME, a.AN_PRENUME, s.ANS_DATA, s.ANS_SINC, s.ANS_TIP_AN, s.ANS_FUNCTIA 	;
	From Ang a, Ang_Star s											;
	Where s.ANS_NR_I_A = a.AN_NR_I									;
	And s.ANS_DATA >= ALL (Select s1.ANS_DATA From Ang_Star s1 Where s1.ANS_NR_I_A = a.AN_NR_I);
	Into Cursor tmp
	

Procedure Sel_2
Parameter DataInc
*
* Se selecteaza toti angajatii cu salariul de incadrare la o anumita data
* In a doua fraza select iau toate cele mai mici ca data ceruta
* In prima iau cea mai mare data
*

Select a.AN_NR_I, a.AN_NUME, a.AN_PRENUME, s.ANS_DATA, s.ANS_SINC 	;
	From Ang a, Ang_Star s											;
	Where s.ANS_NR_I_A = a.AN_NR_I									;
	And s.ANS_DATA >= ALL (Select s1.ANS_DATA 						;
						From Ang_Star s1 							;
						Where s1.ANS_NR_I_A = a.AN_NR_I				;
						Having s1.ANS_DATA <= DataInc				;
						);
	Into Cursor tmp
	

Procedure Sel_3
Parameter fictiv
*
* Se selecteaza toti angajatii cu ultimele salarii de incadrare si cu toti 
* intretinutii; se selecteaza doar cei care au intretinuti !
*
Select a.AN_NR_I, a.AN_NUME, a.AN_PRENUME, s.ANS_DATA, s.ANS_SINC, p.ANP_ABREV, p.ANP_NUME, p.ANP_PRENUME 	;
	From Ang a, Ang_Star s, Ang_pin p								;
		Where (s.ANS_NR_I_A = a.AN_NR_I	;
				And								;
			 	s.ANS_DATA >= ALL (Select s1.ANS_DATA From Ang_Star s1 Where s1.ANS_NR_I_A = a.AN_NR_I);
			  );
			  And p.ANP_NR_I_A = a.AN_NR_I	;
 	Into Cursor tmp
	
Return && Sel_3


Procedure Sel_4
Parameter data_sel

*
* Se selecteaza toti angajatii care au sau nu intretinuti , impreuna cu eventualii 
* intretinuti, la o anumita data
*
Select 													;
	 a.AN_NR_I, a.AN_NUME								;
	,s.ANS_NR_I_A, s.ANS_DATA, s.ANS_SINC				;
	,00000000 As ANP_NR_I_A, Space(10) As ANP_ABREV 	;
														;
	From Ang a, Ang_Star s			 					;
														;
	Where (s.ANS_NR_I_A = a.AN_NR_I						;
			And											;
			Data_Sel >= a.AN_DATA_AN And (Empty(a.AN_DATA_CO) or Data_Sel <= a.AN_DATA_CO);
			And											;
			s.ANS_DATA >= ALL (Select s1.ANS_DATA 		;
						From Ang_Star s1 				;
						Where s1.ANS_NR_I_A = a.AN_NR_I	;
						Having s1.ANS_DATA <= Data_Sel	;
						)								;
		  )												;
	Order By 2 Asc ,3	Desc							;
Union 													;
														;
Select 													;
	 a.AN_NR_I, a.AN_NUME								;
	,00000000 As ANS_NR_I_A								;
	,{01/01/3000} As ANS_DATA							;
	,0000000.00 As ANS_SINC								;
	,p.ANP_NR_I_A, p.ANP_ABREV 							;
														;
	From Ang a, Ang_Pin p			 					;
														;
	Where (p.ANP_NR_I_A = a.AN_NR_I						;
			And											;
		   Data_Sel >= p.ANP_DATA_I And	(Empty(p.ANP_DATA_S) or p.ANP_DATA_S<=Data_Sel);
		  )												;
into table b

Return 
LCED