* Contabil Profesional 4.48 05.01.02 19:40:54
*
* Aplicatie:UF
* Titlu:    Fise facturi ,ordonate si grupate dupa data scadentei, agent, partener;1                                                                              
* Raport:   UF_SCADF     
* Descriere:Pentru fiecare data calendaristica in care sunt facturi scadente se afiseaza facturile , grupat pe agent, localitate, partener;1

* Bazat pe: Centralizator facturi , ,ordonate si grupate dupa data scadentei, agent, partener                                                                     
* Bazat pe: Centralizator facturi , pe agent ,ordonate si grupate dupa data scadentei                                                                             
* Bazat pe: Centralizator facturi , pe agent , localitate,denumire partener                                                                                       
* Bazat pe: Centralizator facturi , grupate pe parteneri ordonati dupa localitate denumire                                                                        
* Bazat pe: Centralizator facturi , grupate pe parteneri ordonati dupa localitate si abreviere                                                                    
* Bazat pe: Centralizator facturi , grupate pe parteneri ordonati dupa abreviere                                                                                  
* Bazat pe: Centralizator facturi , grupate pe parteneri , ordonati dupa denumire                                                                                                         



Private	xLocalitatea, xPartener, xAgent 		&&

xLocalitatea = Lower("*"+AllTrim(scrLocalitatea)+"*")
xPartener    = Lower("*"+AllTrim(scrPartener)+"*")
xAgent		 = Lower("*"+AllTrim(scrAgent)+"*")



Select 													;
     a.AG_NUME, a.AG_NR_I, Trim(a.AG_ADRESA)+' '+Trim(a.AG_TELEFON) As SQ_AG_ADR;
	,p.PA_NR_I	 										;
	,p.PA_ABREV, p.PA_DENUMIR, p.PA_LOCALIT				;
	,Trim(p.PA_CONTACT)+' '+Trim(p.PA_TEL)+" "+Trim(p.PA_CONTAC1)+" "+Trim(p.PA_TEL1) As SQ_CONTACT	;
	,d.DNI_DOC_TIP, d.DNI_DOC_NR, d.DNI_DOC_DA			;
	,d.DNI_DOC_DO, d.DNI_DATA_S, d.DNI_ORA_SI			;
	,uff.UFF_NRI_FA, uff.UFF_TS_F, uff.UFF_TS_A, uff.UFF_SOLD			;
	,uff.UFF_DATA_S										;
	,t.TZ_SUMA											;
	,dc.DNI_DOC_TI As ACH_DOC_TI						;
	,dc.DNI_DOC_NR As ACH_DOC_NR						;
	,dc.DNI_DOC_DA As ACH_DOC_DA						;
	 From 												;
	   __CaleDBF+"Partener" p							;
       ,(__CaleDBF+"Uff_"+tipAplUf) uff					;
       ,__CaleDBF+"Doc_NrI" d							;
       ,__CaleDBF+"Agenti" a							;
       ,__CaleDBF+"Doc_NrI" dc							;
       ,(__CaleDBF+"UfTz_"+tipAplUf) t							;
	Into Table TMP										;
	Where 												;
		uff.UFF_NRI_PA = p.PA_NR_I 						;
		And 											;
		uff.UFF_NRI_FA = d.DNI_NR_I						;
		And												;
		p.PA_AGENT = a.AG_NR_I							;
		And t.TZ_NRI_DF = uff.UFF_NRI_FA				;
		And t.TZ_NRI_DS = dc.DNI_NR_I					;
		And t.TZ_TIP = 2 And t.TZ_STORNAT = .F.			;
														;
		And Like(xAgent,		Lower(AG_NUME))			;
		And Like(xLocalitatea,	Lower(PA_LOCALIT))		;
		And (Like(xPartener,    Lower(PA_DENUMIR))		;
		      Or										;
			 Like(xPartener,    Lower(PA_ABREV))		;
		     )											;
		And Between(UFF_DATA_S, scrDataScI, scrDataScF)	;
		And Between(d.DNI_DOC_DA, scrDataFaI, scrDataFaF)	;
														;
	Order By  UFF_DATA_S, AG_NUME, PA_LOCALIT, PA_DENUMIR, d.DNI_DOC_DA, d.DNI_DOC_NR,  ACH_DOC_DA	, ACH_DOC_NR



*
* Daca vrea browse, il facem
*
If _sqVreaBrowse Then
		
	Browse 												;
		Normal											;
		NoMenu											;
		NoEdit											;
		NoAppend										;
		NoDelete										;
		Preference (_sqPrefBrowse) 						;
		Title (_sqTxtTitlu)								;
		Fields											;
			 AG_NUME        :H="Agent"					;
			,PA_ABREV	 	:H="Client"					;
			,PA_DENUMIR 	:H="Denumire client"		;
			,DNI_DOC_TIP	:H="Doc"					;
			,DNI_DOC_NR		:H="Nr.doc"					;
			,DNI_DOC_DA		:H="Data doc"				;
			,UFF_DATA_S		:H="Scadenta"				;
			,UFF_TS_F  		:H="Valoare fact"			;
							:P="9,999,999,999,999.99"	;
			,UFF_TS_A  		:H="Valoare achit"			;
							:P="9,999,999,999,999.99"	;
			,UFF_SOLD  		:H="Sold"					;
							:P="9,999,999,999,999.99"	;
			,ACH_DOC_TIP	:H="Ach"					;
			,ACH_DOC_NR		:H="Nr.doc.ach"				;
			,ACH_DOC_DA		:H="D.achit"				;
			,TZ_SUMA		:H="Suma achitata"			;
							:P="9,999,999,999,999.99"	;
			,PA_LOCALIT 	:H="Localitate"				;
			,SQ_CONTACT		:H="Contact partener"		;
			,SQ_AG_ADR		:H="Adresa agent"

EndIf	&& _sqVreaBrowse
