* Contabil Profesional 4.49.282.530 21.05.08 08:43:16
*
* 
* Aplicatie:GESTAT
* Titlu:    B. Iesiri - 13.2 Produse in ordinea vitezei de miscare a stocului
* Raport:   GE_ST_O14
* Descriere:Stocurile cu miscare lenta la inceput
*
*
dirBDCSursa	= __CaleCent
numeBDCSursa = "OCPRST__"

* le am pe luni, calculez medii pe perioada respectiva

Select									;
	 SQ_PR_NR_I							;
	,SQ_PR_DENU							;
	,SQ_PR_ABRE							;
	,SQ_PR_UM							;
	,Avg(SQ_ST_PU_A)	As SQ_ST_PU_A	;
	,Avg(SQ_ST_RL_I)	As SQ_ST_RL_I	;
	,Avg(SQ_ST_PU)		As SQ_ST_PU		;
	,Avg(SQ_ST_RL_E)	As SQ_ST_RL_E	;
	,Avg(SQ_ST_SF)		As SQ_ST_SF		;
	,000000.000000		As SQ_COEF		;
From (dirBDCSursa+numeBDCSursa) 		;
Group By SQ_PR_NR_I						;
Into Table ..\SCRATCH\tmp1

* Calculez coeficient ca find intrari +iesiri / stoc final
* si ma sigur ca n-o sa impart la zero
Delete All For SQ_ST_SF = 0

Scan All For SQ_ST_SF != 0
	Replace SQ_COEF With (SQ_ST_RL_I+SQ_ST_RL_E) / SQ_ST_SF
EndScan

If !File(__CaleCent+"PAPR.DBF") Then
	=Suna(MLD_EROARE)
	Do Erori.EXE With "SgNoPa",1
	Return
Endif


* Determin ultimele preturi de achizitie din PAPR


Select 								;
		 SQ_PR_NR_I					;
		,Max(SQ_DATA) As MAX_DATA	;
From (__CaleCENT+"PAPR")			;
Group By SQ_PR_NR_I		;
Into Cursor cPrMax


Select p.*								;
	From (__CaleCENT+"PAPR") p			;
	,cPrMax c							;
Where 									;
		p.SQ_PR_NR_I = c.SQ_PR_NR_I		;
	And p.SQ_DATA	 = c.MAX_DATA		;
Into Table ..\SCRATCH\cPr

Index On SQ_PR_NR_I Tag SQ_PR_NR_I


*
* Calculez stocurile momentane, din toate gestiunile
*
Select SM_NR_I_PR, SUM(SM_STOC) As SM_STOC	;
From (__CaleDBF+"SM.DBF") 					;
Group By SM_NR_I_PR		 					;
Into Table ..\SCRATCH\SmTmp					;
Order By SM_NR_I_PR

Index On SM_NR_I_PR Tag SM_NR_I_PR



* Asigur sa existe in SMTMP toate articolele care sunt in tmp1
* (sa nu le pierd pe cele cu stoc 0)
* La fel si in cPr	- ala cu preturile de achizitie
Select tmp1
Scan All
	Scatter MemVar

	Select SmTmp
	Seek (m.SQ_PR_NR_I)
	If !Found() Then
		Append Blank
		Replace SM_NR_I_PR With m.SQ_PR_NR_I
	EndIf


	Select cPr
	Seek (m.SQ_PR_NR_I)
	If !Found() Then
		Append Blank
		Replace SQ_PR_NR_I With m.SQ_PR_NR_I
	EndIf


	Select tmp1
EndScan

*
* Selectez
*

Select t.* , s.SM_STOC, p.SQ_DATA, p.SQ_P_FAC	;
	From tmp1 t, smTmp s, cPr p				;
	Where SM_NR_I_PR = t.SQ_PR_NR_I				;
		And p.SQ_PR_NR_I =t.SQ_PR_NR_I			;
	Order By SQ_COEF, SQ_PR_DENU				;
	Into Table Tmp


*
* Inchid stocurile momentane si ma pozitionez pe Tmp
*
=ClsDbf("SM")
=ClsDbf("SmTmp")
=ClsDbf("tmp1")
=ClsDbf("cPrMax")
=ClsDbf("cPr")
=ClsDbf("PaPr")
Select Tmp



*
* Daca vrea browse, il facem
*
If _sqVreaBrowse Then

	Browse 											;
		Normal										;
		NoMenu										;
		NoEdit										;
		NoAppend									;
		NoDelete									;
		Preference (_sqPrefBrowse) 					;
		Title (_sqTxtTitlu)							;
		Fields										;
			 SQ_COEF		:H="Coef.viteza"		;
			,SQ_PR_DENU		:H="Denumire produs"	;
			,SQ_PR_ABRE		:H="Abreviere"			;
			,SQ_ST_PU_A		:H="PU Achiz"			;
							:P="99,999.99"			;
			,SQ_ST_RL_I		:H="Intrari"			;
							:P="9,999,999"			;
			,SQ_ST_RL_E		:H="Iesiri"				;
							:P="9,999,999"			;
			,SQ_ST_PU		:H="PU iesire"			;
							:P="99,999.99"			;
			,SQ_ST_SF		:H="Stoc"				;
							:P="99,999,999"			;
			,SQ_VAL=SQ_ST_SF * SQ_ST_PU				;
					   		:H="Valoare stoc"		;
							:P="999,999,999,999"	;
			,SQ_PR_UM		:H="UM"

EndIf	&& _sqVreaBrowse
